name: Beta Release

on:
  push:
    tags:
      - 'v*-beta*'
      - 'v*-test*'
      - 'dev-*'

jobs:
  deploy:
    if: "contains(gitea.ref_name, 'beta') || contains(gitea.ref_name, 'test') || startsWith(gitea.ref_name, 'dev-')"
    uses: ./.gitea/workflows/deploy_call.yaml
    with:
      prerelease: true
    secrets: inherit